Subject: Re: bug#32337: 26.1; display-line-numbers-mode makes cursor ill-aligned when number face is changed

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Sep 2018 22:54:53 +0300

> From: Carlos Pita <[email-masked]>
> Date: Tue, 25 Sep 2018 16:40:43 -0300
> Cc: [email-masked], [email-masked]
> 
> I mean, you're already computing the width as if the numbers would go
> down up to the bottom of the window and then filling them with spaces
> instead of numbers when below EOB, it seems to me that treating
> below-EOB lines the same way than above-EOB ones (in the sense of
> limiting the display number face only to the first columns of the
> buffer) isn't that removed from the current algorithm, although from a
> cursory look I recognize I'm no quite following the code.

I'm confused: you were talking about the cursor, not about characters,
right?  The problem is that an empty line at EOB doesn't have any
characters to determine the height of the line, and the height then
comes from the line-number display, which is lower.